{
  "$schema": "https://schemas.wp.org/trunk/block.json",
  "title": "QuotesDLX",
  "apiVersion": 2,
  "name": "mediaron/quotes-dlx",
  "category": "text",
  "icon": "<svg width='100%' height='100%' viewBox='0 0 4450 4450' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' xml:space='preserve' xmlns:serif='http://www.serif.com/' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;''><g transform='matrix(4.16667,0,0,4.16667,-1325.8,-2025.45)'><path fill='#9932cc' d='M852.07,1553.89C1146.14,1553.89 1385.98,1314.05 1385.98,1020.01C1385.98,725.948 1146.14,486.109 852.07,486.109C558.033,486.109 318.193,725.948 318.193,1020.01C318.193,1314.05 558.033,1553.89 852.07,1553.89Z'/><path d='M645.766,833.41C718.162,813.992 792.571,856.965 811.989,929.362C838.72,1029.11 795.378,1186.69 610.36,1211.24C650.471,1170.11 675.614,1140.15 686.018,1100.12C624.08,1102.5 566.509,1062 549.813,999.605C530.396,927.208 573.368,852.798 645.766,833.41Z' style='fill:white;'/><path d='M988.445,833.41C1060.84,813.992 1135.28,856.965 1154.67,929.362C1181.4,1029.11 1138.09,1186.69 953.069,1211.24C993.151,1170.11 1018.29,1140.15 1028.7,1100.12C966.761,1102.5 909.188,1062 892.493,999.605C873.104,927.208 916.049,852.798 988.445,833.41Z' style='fill:white;'/></g></svg>",
  "description": "WordPress Twitter block that makes it dead simple for users to share your quotes.",
  "keywords": [
    "click",
    "tweet",
    "twitter",
    "share",
    "quote",
    "blockquote",
    "dlx",
    "quotes",
    "dlx",
    "quo"
  ],
  "version": "1.0.0",
  "textdomain": "quotes-dlx",
  "attributes": {
    "uniqueId": {
      "type": "string",
      "default": ""
    },
    "show_permalink": {
      "type": "boolean",
      "default": true
    },
    "template": {
      "type": "string",
      "default": "light-branded"
    },
    "button_style": {
      "type": "string",
      "default": "default"
    },
    "share_text": {
      "type": "string",
      "default": ""
    },
    "share_text_override": {
      "type": "string",
      "default": ""
    },
    "share_button_text": {
      "type": "string",
      "default": "Click to Tweet"
    },
    "facebook_share_button_text": {
      "type": "string",
      "default": "Share on Facebook"
    },
    "share_text_override_enabled": {
      "type": "boolean",
      "default": false
    },
    "align": {
      "type": "string",
      "default": "center"
    },
    "hashtags": {
      "type": "array",
      "default": []
    },
    "twitter_username": {
      "type": "string",
      "default": ""
    },
    "maximum_width": {
      "type": "number",
      "default": 850
    },
    "maximum_width_unit": {
      "type": "string",
      "default": "px"
    },
    "rtl": {
      "type": "boolean",
      "default": false
    },
    "tweet_button_alignment": {
      "type": "string",
      "default": "right"
    },
    "tweet_icon_alignment": {
      "type": "string",
      "default": "right"
    },
    "tweet_button_enabled": {
      "type": "boolean",
      "default": true
    },
    "facebook_button_enabled": {
      "type": "boolean",
      "default": false
    },
    "tweet_button_display": {
      "type": "string",
      "default": "full"
    },
    "icon_appearance": {
      "type": "string",
      "default": "button"
    },
    "tweet_styles_disabled": {
      "type": "boolean",
      "default": false
    },
    "anchor": {
      "type": "string",
      "default": ""
    },
    "anchor_prefix": {
      "type": "string",
      "default": "qdlx"
    },
    "has_anchor": {
      "type": "boolean",
      "default": true
    },
    "url_shortener": {
      "type": "boolean",
      "default": true
    },
    "url_shortening_service": {
      "type": "string",
      "default": "none"
    },
    "permalink": {
      "type": "string",
      "default": ""
    },
    "manual_permalink": {
      "type": "string",
      "default": ""
    },
    "enable_links_in_tweet": {
      "type": "boolean",
      "default": true
    },
    "enable_contextual_menu": {
      "type": "boolean",
      "default": true
    },
    "enable_copy_text": {
      "type": "boolean",
      "default": true
    },
    "enable_copy_tweet": {
      "type": "boolean",
      "default": true
    },
    "enable_copy_link": {
      "type": "boolean",
      "default": true
    },
    "enable_tweet_this": {
      "type": "boolean",
      "default": true
    },
    "enable_email_text": {
      "type": "boolean",
      "default": false
    },
    "enable_share_this": {
      "type": "boolean",
      "default": false
    },
    "email_text_label": {
      "type": "string",
      "default": "Email Quote"
    },
    "copy_text_label": {
      "type": "string",
      "default": "Copy Quote"
    },
    "copy_tweet_label": {
      "type": "string",
      "default": "Copy Tweet"
    },
    "copy_link_label": {
      "type": "string",
      "default": "Copy Link"
    },
    "tweet_this_label": {
      "type": "string",
      "default": "Tweet This"
    },
    "share_this_label": {
      "type": "string",
      "default": "Share This"
    },
    "preview": {
      "type": "boolean",
      "default": false
    },
    "blockOnly": {
      "type": "boolean",
      "default": false
    },
    "defaultsApplied": {
      "type": "boolean",
      "default": false
    },
    "transforming": {
      "type": "boolean",
      "default": false
    },
    "themeColors": {
      "type": "array",
      "default": []
    },
    "enable_citation": {
      "type": "boolean",
      "default": false
    },
    "enable_citation_image": {
      "type": "boolean",
      "default": true
    },
    "enable_citation_author": {
      "type": "boolean",
      "default": true
    },
    "citation_author": {
      "type": "string",
      "default": ""
    },
    "enable_citation_title": {
      "type": "boolean",
      "default": true
    },
    "citation_title": {
      "type": "string",
      "default": ""
    },
    "enable_citation_source": {
      "type": "boolean",
      "default": false
    },
    "citation_source": {
      "type": "string",
      "default": ""
    },
    "citation_image_id": {
      "type": "number",
      "default": 0
    },
    "citation_image_url": {
      "type": "string",
      "default": ""
    },
    "citation_image_appearance": {
      "type": "string",
      "default": "round"
    },
    "citation_image_has_border": {
      "type": "boolean",
      "default": true
    },
    "citation_alignment": {
      "type": "string",
      "default": "left"
    },
    "show_rating": {
      "type": "boolean",
      "default": false
    },
    "rating_value": {
      "type": "string",
      "default": "100"
    },
    "rating_alignment": {
      "type": "string",
      "default": "left"
    },
    "rating_position": {
      "type": "string",
      "default": "above_quote"
    },
    "rating_appearance": {
      "type": "string",
      "default": "stars"
    }
  },
  "example": {
    "attributes": {
      "preview": true,
      "blockOnly": true,
      "share_text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque malesuada dui id nisi vulputate semper. Nam sagittis ac nulla id pharetra. Maecenas congue, tellus a blandit cursus, lorem dolor hendrerit erat, sed luctus arcu velit eget ligula.",
      "template": "purple-bliss",
      "enable_contextual_menu": true,
      "enable_copy_text": true,
      "enable_copy_tweet": true,
      "enable_copy_link": true,
      "enable_tweet_this": true,
      "maximum_width": 800,
      "maximum_width_unit": "px"
    }
  },
  "supports": {
    "anchor": true,
    "align": true,
    "className": true
  },
  "editorScript": "quotes-dlx-block",
  "editorStyle": "quotes-dlx-block-editor-styles",
  "style": "quotes-dlx-frontend",
  "viewScript": "quotes-dlx-actions"
}